// Constants:
module_name = "link_to_clipboard";
module_ver = "1.0";
menu_name = "HTML";
prot_msg = "File is read-only!"

function Init()
{
  addMenuItem("Link to Clipboard", menu_name, "LinkToClipboard", "Ctrl+Shift+l");
}

function LinkToClipboard()
{
  var obj1 = newEditor();
  try
  {
    obj1.assignActiveEditor();
  }
  catch(e)
  {
    return;
  }
  if (obj1.readOnly() == true)
  {
    echo(prot_msg);
    return;
  }
  var inpString = obj1.SelText();
  var clip = GetClipboardText();
  while (!clip.match(/^((mailto\:|(news|(ht|f)tp(s?))\:\/\/){1}\S+)$/g))
  {
    clip = inputText("Please enter a valid URL:", clip);
    if (clip == "")
    {
      return;
    }
  }
  obj1.SelText('<a href=\"'+clip+"\">"+inpString+"<\/a>");
}
